Starmade | NPC Faction Descriptions contain typos
Closed, FinishedPublic

Description

As titled,
Outcasts apparently "Buttreat" strangers, Whatever that means ;)

also, all the NPC factions descriptions are not compatible with Description box when you select "List" tab

Details

Commits
Restricted Diffusion Commit
Restricted Diffusion Commit
Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
199.349
Category
Typos/Content
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce
  1. Spawn into any world with the NPCs
  1. Press H to open faction menu, go to NPC Diplomacy tab
  1. Select Outcasts, notice their Bio contains typos
Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Napther created this task.Dec 18 2016, 2:49 PM
lancake claimed this task.Dec 19 2016, 9:41 PM
lancake added a subscriber: lancake.

-Validated- & -Confirmed-

The typos are kept somewhere else but yeah, the text doesn't wrap here.

lancake closed this task as "Unknown Status".
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptDec 19 2016, 9:41 PM
lancake reopened this task as "Resolved" by committing Restricted Diffusion Commit.Dec 20 2016, 3:32 PM
Restricted Application removed a project: Game Development. · View Herald TranscriptDec 20 2016, 3:32 PM
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.
SmilingDemon changed the task status from "Resolved" to "Open".
SmilingDemon triaged this task as "Normal" priority.
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
Restricted Application added a project: Issue Navigation. · View Herald TranscriptDec 20 2016, 8:52 PM
SmilingDemon closed this task as "Unknown Status".Dec 20 2016, 8:52 PM
Restricted Application edited projects, added Game Development; removed Issue Navigation. · View Herald TranscriptDec 20 2016, 8:52 PM
SmilingDemon reopened this task as "Resolved".Dec 20 2016, 8:53 PM
SmilingDemon reassigned this task from SmilingDemon to lancake.
SmilingDemon added a subscriber: SmilingDemon.
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptDec 20 2016, 8:53 PM

Regarding the typos, don't forget the "aliens species". You're wanting the word alien, as otherwise you've got a double plural, and that just looks/sounds wrong unless you're speaking of Fish, Moose, Sheep, and the handfull of other critters that have a plural-by-default name.

I dont know where the files are located within the .jar, as I haven't opened it to look, but the place controlling them in-game is here:
[starmade install location]\data\npcFactions\npcspawnconfig.xml
Edit the description field in that file, re-launch the game, and the typos vanish.

At least, for the non-Steam versions. (I know Steam does wonky things with game files, if anyone can find 'em for Steam that'd be great)

Regarding the typos, don't forget the "aliens species". You're wanting the word alien, as otherwise you've got a double plural, and that just looks/sounds wrong unless you're speaking of Fish, Moose, Sheep, and the handfull of other critters that have a plural-by-default name.

I dont know where the files are located within the .jar, as I haven't opened it to look, but the place controlling them in-game is here:
[starmade install location]\data\npcFactions\npcspawnconfig.xml
Edit the description field in that file, re-launch the game, and the typos vanish.

At least, for the non-Steam versions. (I know Steam does wonky things with game files, if anyone can find 'em for Steam that'd be great)

Yep, that's where to adjust them, fixed that one too now.

lancake added a commit: Restricted Diffusion Commit.Dec 30 2016, 9:56 PM
lancake closed this task as "Closed".Tue, Feb 28, 9:59 AM
Restricted Application removed a project: Quality Assurance. · View Herald TranscriptTue, Feb 28, 9:59 AM
Restricted Application added a project: Typos. · View Herald TranscriptFri, Mar 10, 6:06 PM